Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ff3d::/16
First address
ff3d::
Last address
ff3d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ff3d:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
d.3.f.f.ip6.arpa
Split into smaller subnets/32

ff3d::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1ff3d::/32ff3d:0:ffff:ffff:ffff:ffff:ffff:ffff
2ff3d:1::/32ff3d:1:ffff:ffff:ffff:ffff:ffff:ffff
3ff3d:2::/32ff3d:2:ffff:ffff:ffff:ffff:ffff:ffff
4ff3d:3::/32ff3d:3:ffff:ffff:ffff:ffff:ffff:ffff
5ff3d:4::/32ff3d:4:ffff:ffff:ffff:ffff:ffff:ffff
6ff3d:5::/32ff3d:5:ffff:ffff:ffff:ffff:ffff:ffff
7ff3d:6::/32ff3d:6:ffff:ffff:ffff:ffff:ffff:ffff
8ff3d:7::/32ff3d:7:ffff:ffff:ffff:ffff:ffff:ffff
9ff3d:8::/32ff3d:8:ffff:ffff:ffff:ffff:ffff:ffff
10ff3d:9::/32ff3d:9:ffff:ffff:ffff:ffff:ffff:ffff
11ff3d:a::/32ff3d:a:ffff:ffff:ffff:ffff:ffff:ffff
12ff3d:b::/32ff3d:b:ffff:ffff:ffff:ffff:ffff:ffff
13ff3d:c::/32ff3d:c:ffff:ffff:ffff:ffff:ffff:ffff
14ff3d:d::/32ff3d:d:ffff:ffff:ffff:ffff:ffff:ffff
15ff3d:e::/32ff3d:e:ffff:ffff:ffff:ffff:ffff:ffff
16ff3d:f::/32ff3d:f:ffff:ffff:ffff:ffff:ffff:ffff
17ff3d:10::/32ff3d:10:ffff:ffff:ffff:ffff:ffff:ffff
18ff3d:11::/32ff3d:11:ffff:ffff:ffff:ffff:ffff:ffff
19ff3d:12::/32ff3d:12:ffff:ffff:ffff:ffff:ffff:ffff
20ff3d:13::/32ff3d:13:ffff:ffff:ffff:ffff:ffff:ffff
21ff3d:14::/32ff3d:14:ffff:ffff:ffff:ffff:ffff:ffff
22ff3d:15::/32ff3d:15:ffff:ffff:ffff:ffff:ffff:ffff
23ff3d:16::/32ff3d:16:ffff:ffff:ffff:ffff:ffff:ffff
24ff3d:17::/32ff3d:17:ffff:ffff:ffff:ffff:ffff:ffff
25ff3d:18::/32ff3d:18:ffff:ffff:ffff:ffff:ffff:ffff
26ff3d:19::/32ff3d:19:ffff:ffff:ffff:ffff:ffff:ffff
27ff3d:1a::/32ff3d:1a:ffff:ffff:ffff:ffff:ffff:ffff
28ff3d:1b::/32ff3d:1b:ffff:ffff:ffff:ffff:ffff:ffff
29ff3d:1c::/32ff3d:1c:ffff:ffff:ffff:ffff:ffff:ffff
30ff3d:1d::/32ff3d:1d:ffff:ffff:ffff:ffff:ffff:ffff
31ff3d:1e::/32ff3d:1e:ffff:ffff:ffff:ffff:ffff:ffff
32ff3d:1f::/32ff3d:1f:ffff:ffff:ffff:ffff:ffff:ffff
33ff3d:20::/32ff3d:20:ffff:ffff:ffff:ffff:ffff:ffff
34ff3d:21::/32ff3d:21:ffff:ffff:ffff:ffff:ffff:ffff
35ff3d:22::/32ff3d:22:ffff:ffff:ffff:ffff:ffff:ffff
36ff3d:23::/32ff3d:23:ffff:ffff:ffff:ffff:ffff:ffff
37ff3d:24::/32ff3d:24:ffff:ffff:ffff:ffff:ffff:ffff
38ff3d:25::/32ff3d:25:ffff:ffff:ffff:ffff:ffff:ffff
39ff3d:26::/32ff3d:26:ffff:ffff:ffff:ffff:ffff:ffff
40ff3d:27::/32ff3d:27:ffff:ffff:ffff:ffff:ffff:ffff
41ff3d:28::/32ff3d:28:ffff:ffff:ffff:ffff:ffff:ffff
42ff3d:29::/32ff3d:29:ffff:ffff:ffff:ffff:ffff:ffff
43ff3d:2a::/32ff3d:2a:ffff:ffff:ffff:ffff:ffff:ffff
44ff3d:2b::/32ff3d:2b:ffff:ffff:ffff:ffff:ffff:ffff
45ff3d:2c::/32ff3d:2c:ffff:ffff:ffff:ffff:ffff:ffff
46ff3d:2d::/32ff3d:2d:ffff:ffff:ffff:ffff:ffff:ffff
47ff3d:2e::/32ff3d:2e:ffff:ffff:ffff:ffff:ffff:ffff
48ff3d:2f::/32ff3d:2f:ffff:ffff:ffff:ffff:ffff:ffff
49ff3d:30::/32ff3d:30:ffff:ffff:ffff:ffff:ffff:ffff
50ff3d:31::/32ff3d:31:ffff:ffff:ffff:ffff:ffff:ffff
51ff3d:32::/32ff3d:32:ffff:ffff:ffff:ffff:ffff:ffff
52ff3d:33::/32ff3d:33:ffff:ffff:ffff:ffff:ffff:ffff
53ff3d:34::/32ff3d:34:ffff:ffff:ffff:ffff:ffff:ffff
54ff3d:35::/32ff3d:35:ffff:ffff:ffff:ffff:ffff:ffff
55ff3d:36::/32ff3d:36:ffff:ffff:ffff:ffff:ffff:ffff
56ff3d:37::/32ff3d:37:ffff:ffff:ffff:ffff:ffff:ffff
57ff3d:38::/32ff3d:38:ffff:ffff:ffff:ffff:ffff:ffff
58ff3d:39::/32ff3d:39:ffff:ffff:ffff:ffff:ffff:ffff
59ff3d:3a::/32ff3d:3a:ffff:ffff:ffff:ffff:ffff:ffff
60ff3d:3b::/32ff3d:3b:ffff:ffff:ffff:ffff:ffff:ffff
61ff3d:3c::/32ff3d:3c:ffff:ffff:ffff:ffff:ffff:ffff
62ff3d:3d::/32ff3d:3d:ffff:ffff:ffff:ffff:ffff:ffff
63ff3d:3e::/32ff3d:3e:ffff:ffff:ffff:ffff:ffff:ffff
64ff3d:3f::/32ff3d:3f:ffff:ffff:ffff:ffff:ffff:ffff
65ff3d:40::/32ff3d:40:ffff:ffff:ffff:ffff:ffff:ffff
66ff3d:41::/32ff3d:41:ffff:ffff:ffff:ffff:ffff:ffff
67ff3d:42::/32ff3d:42:ffff:ffff:ffff:ffff:ffff:ffff
68ff3d:43::/32ff3d:43:ffff:ffff:ffff:ffff:ffff:ffff
69ff3d:44::/32ff3d:44:ffff:ffff:ffff:ffff:ffff:ffff
70ff3d:45::/32ff3d:45:ffff:ffff:ffff:ffff:ffff:ffff
71ff3d:46::/32ff3d:46:ffff:ffff:ffff:ffff:ffff:ffff
72ff3d:47::/32ff3d:47:ffff:ffff:ffff:ffff:ffff:ffff
73ff3d:48::/32ff3d:48:ffff:ffff:ffff:ffff:ffff:ffff
74ff3d:49::/32ff3d:49:ffff:ffff:ffff:ffff:ffff:ffff
75ff3d:4a::/32ff3d:4a:ffff:ffff:ffff:ffff:ffff:ffff
76ff3d:4b::/32ff3d:4b:ffff:ffff:ffff:ffff:ffff:ffff
77ff3d:4c::/32ff3d:4c:ffff:ffff:ffff:ffff:ffff:ffff
78ff3d:4d::/32ff3d:4d:ffff:ffff:ffff:ffff:ffff:ffff
79ff3d:4e::/32ff3d:4e:ffff:ffff:ffff:ffff:ffff:ffff
80ff3d:4f::/32ff3d:4f:ffff:ffff:ffff:ffff:ffff:ffff
81ff3d:50::/32ff3d:50:ffff:ffff:ffff:ffff:ffff:ffff
82ff3d:51::/32ff3d:51:ffff:ffff:ffff:ffff:ffff:ffff
83ff3d:52::/32ff3d:52:ffff:ffff:ffff:ffff:ffff:ffff
84ff3d:53::/32ff3d:53:ffff:ffff:ffff:ffff:ffff:ffff
85ff3d:54::/32ff3d:54:ffff:ffff:ffff:ffff:ffff:ffff
86ff3d:55::/32ff3d:55:ffff:ffff:ffff:ffff:ffff:ffff
87ff3d:56::/32ff3d:56:ffff:ffff:ffff:ffff:ffff:ffff
88ff3d:57::/32ff3d:57:ffff:ffff:ffff:ffff:ffff:ffff
89ff3d:58::/32ff3d:58:ffff:ffff:ffff:ffff:ffff:ffff
90ff3d:59::/32ff3d:59:ffff:ffff:ffff:ffff:ffff:ffff
91ff3d:5a::/32ff3d:5a:ffff:ffff:ffff:ffff:ffff:ffff
92ff3d:5b::/32ff3d:5b:ffff:ffff:ffff:ffff:ffff:ffff
93ff3d:5c::/32ff3d:5c:ffff:ffff:ffff:ffff:ffff:ffff
94ff3d:5d::/32ff3d:5d:ffff:ffff:ffff:ffff:ffff:ffff
95ff3d:5e::/32ff3d:5e:ffff:ffff:ffff:ffff:ffff:ffff
96ff3d:5f::/32ff3d:5f:ffff:ffff:ffff:ffff:ffff:ffff
97ff3d:60::/32ff3d:60:ffff:ffff:ffff:ffff:ffff:ffff
98ff3d:61::/32ff3d:61:ffff:ffff:ffff:ffff:ffff:ffff
99ff3d:62::/32ff3d:62:ffff:ffff:ffff:ffff:ffff:ffff
100ff3d:63::/32ff3d:63:ffff:ffff:ffff:ffff:ffff:ffff
101ff3d:64::/32ff3d:64:ffff:ffff:ffff:ffff:ffff:ffff
102ff3d:65::/32ff3d:65:ffff:ffff:ffff:ffff:ffff:ffff
103ff3d:66::/32ff3d:66:ffff:ffff:ffff:ffff:ffff:ffff
104ff3d:67::/32ff3d:67:ffff:ffff:ffff:ffff:ffff:ffff
105ff3d:68::/32ff3d:68:ffff:ffff:ffff:ffff:ffff:ffff
106ff3d:69::/32ff3d:69:ffff:ffff:ffff:ffff:ffff:ffff
107ff3d:6a::/32ff3d:6a:ffff:ffff:ffff:ffff:ffff:ffff
108ff3d:6b::/32ff3d:6b:ffff:ffff:ffff:ffff:ffff:ffff
109ff3d:6c::/32ff3d:6c:ffff:ffff:ffff:ffff:ffff:ffff
110ff3d:6d::/32ff3d:6d:ffff:ffff:ffff:ffff:ffff:ffff
111ff3d:6e::/32ff3d:6e:ffff:ffff:ffff:ffff:ffff:ffff
112ff3d:6f::/32ff3d:6f:ffff:ffff:ffff:ffff:ffff:ffff
113ff3d:70::/32ff3d:70:ffff:ffff:ffff:ffff:ffff:ffff
114ff3d:71::/32ff3d:71:ffff:ffff:ffff:ffff:ffff:ffff
115ff3d:72::/32ff3d:72:ffff:ffff:ffff:ffff:ffff:ffff
116ff3d:73::/32ff3d:73:ffff:ffff:ffff:ffff:ffff:ffff
117ff3d:74::/32ff3d:74:ffff:ffff:ffff:ffff:ffff:ffff
118ff3d:75::/32ff3d:75:ffff:ffff:ffff:ffff:ffff:ffff
119ff3d:76::/32ff3d:76:ffff:ffff:ffff:ffff:ffff:ffff
120ff3d:77::/32ff3d:77:ffff:ffff:ffff:ffff:ffff:ffff
121ff3d:78::/32ff3d:78:ffff:ffff:ffff:ffff:ffff:ffff
122ff3d:79::/32ff3d:79:ffff:ffff:ffff:ffff:ffff:ffff
123ff3d:7a::/32ff3d:7a:ffff:ffff:ffff:ffff:ffff:ffff
124ff3d:7b::/32ff3d:7b:ffff:ffff:ffff:ffff:ffff:ffff
125ff3d:7c::/32ff3d:7c:ffff:ffff:ffff:ffff:ffff:ffff
126ff3d:7d::/32ff3d:7d:ffff:ffff:ffff:ffff:ffff:ffff
127ff3d:7e::/32ff3d:7e:ffff:ffff:ffff:ffff:ffff:ffff
128ff3d:7f::/32ff3d:7f:ffff:ffff:ffff:ffff:ffff:ffff
129ff3d:80::/32ff3d:80:ffff:ffff:ffff:ffff:ffff:ffff
130ff3d:81::/32ff3d:81:ffff:ffff:ffff:ffff:ffff:ffff
131ff3d:82::/32ff3d:82:ffff:ffff:ffff:ffff:ffff:ffff
132ff3d:83::/32ff3d:83:ffff:ffff:ffff:ffff:ffff:ffff
133ff3d:84::/32ff3d:84:ffff:ffff:ffff:ffff:ffff:ffff
134ff3d:85::/32ff3d:85:ffff:ffff:ffff:ffff:ffff:ffff
135ff3d:86::/32ff3d:86:ffff:ffff:ffff:ffff:ffff:ffff
136ff3d:87::/32ff3d:87:ffff:ffff:ffff:ffff:ffff:ffff
137ff3d:88::/32ff3d:88:ffff:ffff:ffff:ffff:ffff:ffff
138ff3d:89::/32ff3d:89:ffff:ffff:ffff:ffff:ffff:ffff
139ff3d:8a::/32ff3d:8a:ffff:ffff:ffff:ffff:ffff:ffff
140ff3d:8b::/32ff3d:8b:ffff:ffff:ffff:ffff:ffff:ffff
141ff3d:8c::/32ff3d:8c:ffff:ffff:ffff:ffff:ffff:ffff
142ff3d:8d::/32ff3d:8d:ffff:ffff:ffff:ffff:ffff:ffff
143ff3d:8e::/32ff3d:8e:ffff:ffff:ffff:ffff:ffff:ffff
144ff3d:8f::/32ff3d:8f:ffff:ffff:ffff:ffff:ffff:ffff
145ff3d:90::/32ff3d:90:ffff:ffff:ffff:ffff:ffff:ffff
146ff3d:91::/32ff3d:91:ffff:ffff:ffff:ffff:ffff:ffff
147ff3d:92::/32ff3d:92:ffff:ffff:ffff:ffff:ffff:ffff
148ff3d:93::/32ff3d:93:ffff:ffff:ffff:ffff:ffff:ffff
149ff3d:94::/32ff3d:94:ffff:ffff:ffff:ffff:ffff:ffff
150ff3d:95::/32ff3d:95:ffff:ffff:ffff:ffff:ffff:ffff
151ff3d:96::/32ff3d:96:ffff:ffff:ffff:ffff:ffff:ffff
152ff3d:97::/32ff3d:97:ffff:ffff:ffff:ffff:ffff:ffff
153ff3d:98::/32ff3d:98:ffff:ffff:ffff:ffff:ffff:ffff
154ff3d:99::/32ff3d:99:ffff:ffff:ffff:ffff:ffff:ffff
155ff3d:9a::/32ff3d:9a:ffff:ffff:ffff:ffff:ffff:ffff
156ff3d:9b::/32ff3d:9b:ffff:ffff:ffff:ffff:ffff:ffff
157ff3d:9c::/32ff3d:9c:ffff:ffff:ffff:ffff:ffff:ffff
158ff3d:9d::/32ff3d:9d:ffff:ffff:ffff:ffff:ffff:ffff
159ff3d:9e::/32ff3d:9e:ffff:ffff:ffff:ffff:ffff:ffff
160ff3d:9f::/32ff3d:9f:ffff:ffff:ffff:ffff:ffff:ffff
161ff3d:a0::/32ff3d:a0:ffff:ffff:ffff:ffff:ffff:ffff
162ff3d:a1::/32ff3d:a1:ffff:ffff:ffff:ffff:ffff:ffff
163ff3d:a2::/32ff3d:a2:ffff:ffff:ffff:ffff:ffff:ffff
164ff3d:a3::/32ff3d:a3:ffff:ffff:ffff:ffff:ffff:ffff
165ff3d:a4::/32ff3d:a4:ffff:ffff:ffff:ffff:ffff:ffff
166ff3d:a5::/32ff3d:a5:ffff:ffff:ffff:ffff:ffff:ffff
167ff3d:a6::/32ff3d:a6:ffff:ffff:ffff:ffff:ffff:ffff
168ff3d:a7::/32ff3d:a7:ffff:ffff:ffff:ffff:ffff:ffff
169ff3d:a8::/32ff3d:a8:ffff:ffff:ffff:ffff:ffff:ffff
170ff3d:a9::/32ff3d:a9:ffff:ffff:ffff:ffff:ffff:ffff
171ff3d:aa::/32ff3d:aa:ffff:ffff:ffff:ffff:ffff:ffff
172ff3d:ab::/32ff3d:ab:ffff:ffff:ffff:ffff:ffff:ffff
173ff3d:ac::/32ff3d:ac:ffff:ffff:ffff:ffff:ffff:ffff
174ff3d:ad::/32ff3d:ad:ffff:ffff:ffff:ffff:ffff:ffff
175ff3d:ae::/32ff3d:ae:ffff:ffff:ffff:ffff:ffff:ffff
176ff3d:af::/32ff3d:af:ffff:ffff:ffff:ffff:ffff:ffff
177ff3d:b0::/32ff3d:b0:ffff:ffff:ffff:ffff:ffff:ffff
178ff3d:b1::/32ff3d:b1:ffff:ffff:ffff:ffff:ffff:ffff
179ff3d:b2::/32ff3d:b2:ffff:ffff:ffff:ffff:ffff:ffff
180ff3d:b3::/32ff3d:b3:ffff:ffff:ffff:ffff:ffff:ffff
181ff3d:b4::/32ff3d:b4:ffff:ffff:ffff:ffff:ffff:ffff
182ff3d:b5::/32ff3d:b5:ffff:ffff:ffff:ffff:ffff:ffff
183ff3d:b6::/32ff3d:b6:ffff:ffff:ffff:ffff:ffff:ffff
184ff3d:b7::/32ff3d:b7:ffff:ffff:ffff:ffff:ffff:ffff
185ff3d:b8::/32ff3d:b8:ffff:ffff:ffff:ffff:ffff:ffff
186ff3d:b9::/32ff3d:b9:ffff:ffff:ffff:ffff:ffff:ffff
187ff3d:ba::/32ff3d:ba:ffff:ffff:ffff:ffff:ffff:ffff
188ff3d:bb::/32ff3d:bb:ffff:ffff:ffff:ffff:ffff:ffff
189ff3d:bc::/32ff3d:bc:ffff:ffff:ffff:ffff:ffff:ffff
190ff3d:bd::/32ff3d:bd:ffff:ffff:ffff:ffff:ffff:ffff
191ff3d:be::/32ff3d:be:ffff:ffff:ffff:ffff:ffff:ffff
192ff3d:bf::/32ff3d:bf:ffff:ffff:ffff:ffff:ffff:ffff
193ff3d:c0::/32ff3d:c0:ffff:ffff:ffff:ffff:ffff:ffff
194ff3d:c1::/32ff3d:c1:ffff:ffff:ffff:ffff:ffff:ffff
195ff3d:c2::/32ff3d:c2:ffff:ffff:ffff:ffff:ffff:ffff
196ff3d:c3::/32ff3d:c3:ffff:ffff:ffff:ffff:ffff:ffff
197ff3d:c4::/32ff3d:c4:ffff:ffff:ffff:ffff:ffff:ffff
198ff3d:c5::/32ff3d:c5:ffff:ffff:ffff:ffff:ffff:ffff
199ff3d:c6::/32ff3d:c6:ffff:ffff:ffff:ffff:ffff:ffff
200ff3d:c7::/32ff3d:c7:ffff:ffff:ffff:ffff:ffff:ffff
201ff3d:c8::/32ff3d:c8:ffff:ffff:ffff:ffff:ffff:ffff
202ff3d:c9::/32ff3d:c9:ffff:ffff:ffff:ffff:ffff:ffff
203ff3d:ca::/32ff3d:ca:ffff:ffff:ffff:ffff:ffff:ffff
204ff3d:cb::/32ff3d:cb:ffff:ffff:ffff:ffff:ffff:ffff
205ff3d:cc::/32ff3d:cc:ffff:ffff:ffff:ffff:ffff:ffff
206ff3d:cd::/32ff3d:cd:ffff:ffff:ffff:ffff:ffff:ffff
207ff3d:ce::/32ff3d:ce:ffff:ffff:ffff:ffff:ffff:ffff
208ff3d:cf::/32ff3d:cf:ffff:ffff:ffff:ffff:ffff:ffff
209ff3d:d0::/32ff3d:d0:ffff:ffff:ffff:ffff:ffff:ffff
210ff3d:d1::/32ff3d:d1:ffff:ffff:ffff:ffff:ffff:ffff
211ff3d:d2::/32ff3d:d2:ffff:ffff:ffff:ffff:ffff:ffff
212ff3d:d3::/32ff3d:d3:ffff:ffff:ffff:ffff:ffff:ffff
213ff3d:d4::/32ff3d:d4:ffff:ffff:ffff:ffff:ffff:ffff
214ff3d:d5::/32ff3d:d5:ffff:ffff:ffff:ffff:ffff:ffff
215ff3d:d6::/32ff3d:d6:ffff:ffff:ffff:ffff:ffff:ffff
216ff3d:d7::/32ff3d:d7:ffff:ffff:ffff:ffff:ffff:ffff
217ff3d:d8::/32ff3d:d8:ffff:ffff:ffff:ffff:ffff:ffff
218ff3d:d9::/32ff3d:d9:ffff:ffff:ffff:ffff:ffff:ffff
219ff3d:da::/32ff3d:da:ffff:ffff:ffff:ffff:ffff:ffff
220ff3d:db::/32ff3d:db:ffff:ffff:ffff:ffff:ffff:ffff
221ff3d:dc::/32ff3d:dc:ffff:ffff:ffff:ffff:ffff:ffff
222ff3d:dd::/32ff3d:dd:ffff:ffff:ffff:ffff:ffff:ffff
223ff3d:de::/32ff3d:de:ffff:ffff:ffff:ffff:ffff:ffff
224ff3d:df::/32ff3d:df:ffff:ffff:ffff:ffff:ffff:ffff
225ff3d:e0::/32ff3d:e0:ffff:ffff:ffff:ffff:ffff:ffff
226ff3d:e1::/32ff3d:e1:ffff:ffff:ffff:ffff:ffff:ffff
227ff3d:e2::/32ff3d:e2:ffff:ffff:ffff:ffff:ffff:ffff
228ff3d:e3::/32ff3d:e3:ffff:ffff:ffff:ffff:ffff:ffff
229ff3d:e4::/32ff3d:e4:ffff:ffff:ffff:ffff:ffff:ffff
230ff3d:e5::/32ff3d:e5:ffff:ffff:ffff:ffff:ffff:ffff
231ff3d:e6::/32ff3d:e6:ffff:ffff:ffff:ffff:ffff:ffff
232ff3d:e7::/32ff3d:e7:ffff:ffff:ffff:ffff:ffff:ffff
233ff3d:e8::/32ff3d:e8:ffff:ffff:ffff:ffff:ffff:ffff
234ff3d:e9::/32ff3d:e9:ffff:ffff:ffff:ffff:ffff:ffff
235ff3d:ea::/32ff3d:ea:ffff:ffff:ffff:ffff:ffff:ffff
236ff3d:eb::/32ff3d:eb:ffff:ffff:ffff:ffff:ffff:ffff
237ff3d:ec::/32ff3d:ec:ffff:ffff:ffff:ffff:ffff:ffff
238ff3d:ed::/32ff3d:ed:ffff:ffff:ffff:ffff:ffff:ffff
239ff3d:ee::/32ff3d:ee:ffff:ffff:ffff:ffff:ffff:ffff
240ff3d:ef::/32ff3d:ef:ffff:ffff:ffff:ffff:ffff:ffff
241ff3d:f0::/32ff3d:f0:ffff:ffff:ffff:ffff:ffff:ffff
242ff3d:f1::/32ff3d:f1:ffff:ffff:ffff:ffff:ffff:ffff
243ff3d:f2::/32ff3d:f2:ffff:ffff:ffff:ffff:ffff:ffff
244ff3d:f3::/32ff3d:f3:ffff:ffff:ffff:ffff:ffff:ffff
245ff3d:f4::/32ff3d:f4:ffff:ffff:ffff:ffff:ffff:ffff
246ff3d:f5::/32ff3d:f5:ffff:ffff:ffff:ffff:ffff:ffff
247ff3d:f6::/32ff3d:f6:ffff:ffff:ffff:ffff:ffff:ffff
248ff3d:f7::/32ff3d:f7:ffff:ffff:ffff:ffff:ffff:ffff
249ff3d:f8::/32ff3d:f8:ffff:ffff:ffff:ffff:ffff:ffff
250ff3d:f9::/32ff3d:f9:ffff:ffff:ffff:ffff:ffff:ffff
251ff3d:fa::/32ff3d:fa:ffff:ffff:ffff:ffff:ffff:ffff
252ff3d:fb::/32ff3d:fb:ffff:ffff:ffff:ffff:ffff:ffff
253ff3d:fc::/32ff3d:fc:ffff:ffff:ffff:ffff:ffff:ffff
254ff3d:fd::/32ff3d:fd:ffff:ffff:ffff:ffff:ffff:ffff
255ff3d:fe::/32ff3d:fe:ffff:ffff:ffff:ffff:ffff:ffff
256ff3d:ff::/32ff3d:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses